@import "../../../theme/default";
//@import "~antd/lib/input/style/index";

.anticon-eye {
  cursor: pointer;
  color: @primary-3;
  transition: color 0.3s;
  font-size: @font-size-base;
}

.anticon-eye:hover {
  color: @link-hover-color;
}

.password-active .anticon-eye {
  color: @link-active-color;
}

.ant-input-affix-wrapper {
  height: @input-height-base;
}

.has-error {
  .ant-input-affix-wrapper:hover .ant-input:not(.ant-input-disabled) {
    border-color: @error-color;
  }
}

// .has-success {
//   .ant-input, .has-error .ant-input:hover {
//     border-color: @success-color;
//   }
//   .ant-input-affix-wrapper:hover .ant-input:not(.ant-input-disabled) {
//     border-color: @success-color;
//   }
// }
